Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.query
Class ScrollableResultsImpl

    java.lang.Object
      org.hibernate.search.query.ScrollableResultsImpl

All Implemented Interfaces:
  org.hibernate.ScrollableResults

    public class ScrollableResultsImpl

extends Object
implements org.hibernate.ScrollableResults

Author:
  Emmanuel Bernard

Constructor Summary
`ScrollableResultsImpl(org.apache.lucene.search.Searcher searcher, org.apache.lucene.search.Hits hits, int first, int max, org.hibernate.Session session, FullTextIndexEventListener listener)`

Method Summary
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `close()`
`boolean` | `first()`
`Object[]` | `get()`
`Object` | `get(int i)`
`BigDecimal` | `getBigDecimal(int col)`
`BigInteger` | `getBigInteger(int col)`
`byte[]` | `getBinary(int col)`
`Blob` | `getBlob(int col)`
`Boolean` | `getBoolean(int col)`
`Byte` | `getByte(int col)`
`Calendar` | `getCalendar(int col)`
`Character` | `getCharacter(int col)`
`Clob` | `getClob(int col)`
`Date` | `getDate(int col)`
`Double` | `getDouble(int col)`
`Float` | `getFloat(int col)`
`Integer` | `getInteger(int col)`
`Locale` | `getLocale(int col)`
`Long` | `getLong(int col)`
`int` | `getRowNumber()`
`Short` | `getShort(int col)`
`String` | `getString(int col)`
`String` | `getText(int col)`
`TimeZone` | `getTimeZone(int col)`
`org.hibernate.type.Type` | `getType(int i)`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`boolean` | `next()`
`boolean` | `previous()`
`boolean` | `scroll(int i)`
`boolean` | `setRowNumber(int rowNumber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableResultsImpl

    public ScrollableResultsImpl(org.apache.lucene.search.Searcher searcher,
                                 org.apache.lucene.search.Hits hits,
                                 int first,
                                 int max,
                                 org.hibernate.Session session,
                                 FullTextIndexEventListener listener)

Method Detail

### next

    public boolean next()
                 throws org.hibernate.HibernateException

  Specified by:
    `next` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### previous

    public boolean previous()
                     throws org.hibernate.HibernateException

  Specified by:
    `previous` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public boolean scroll(int i)
                   throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### last

    public boolean last()
                 throws org.hibernate.HibernateException

  Specified by:
    `last` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### first

    public boolean first()
                  throws org.hibernate.HibernateException

  Specified by:
    `first` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### beforeFirst

    public void beforeFirst()
                     throws org.hibernate.HibernateException

  Specified by:
    `beforeFirst` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### afterLast

    public void afterLast()
                   throws org.hibernate.HibernateException

  Specified by:
    `afterLast` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### isFirst

    public boolean isFirst()
                    throws org.hibernate.HibernateException

  Specified by:
    `isFirst` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### isLast

    public boolean isLast()
                   throws org.hibernate.HibernateException

  Specified by:
    `isLast` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### close

    public void close()
               throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object[] get()
                 throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(int i)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getType

    public org.hibernate.type.Type getType(int i)

  Specified by:
    `getType` in interface `org.hibernate.ScrollableResults`

### getInteger

    public Integer getInteger(int col)
                       throws org.hibernate.HibernateException

  Specified by:
    `getInteger` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getLong

    public Long getLong(int col)
                 throws org.hibernate.HibernateException

  Specified by:
    `getLong` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getFloat

    public Float getFloat(int col)
                   throws org.hibernate.HibernateException

  Specified by:
    `getFloat` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getBoolean

    public Boolean getBoolean(int col)
                       throws org.hibernate.HibernateException

  Specified by:
    `getBoolean` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getDouble

    public Double getDouble(int col)
                     throws org.hibernate.HibernateException

  Specified by:
    `getDouble` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getShort

    public Short getShort(int col)
                   throws org.hibernate.HibernateException

  Specified by:
    `getShort` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getByte

    public Byte getByte(int col)
                 throws org.hibernate.HibernateException

  Specified by:
    `getByte` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getCharacter

    public Character getCharacter(int col)
                           throws org.hibernate.HibernateException

  Specified by:
    `getCharacter` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getBinary

    public byte[] getBinary(int col)
                     throws org.hibernate.HibernateException

  Specified by:
    `getBinary` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getText

    public String getText(int col)
                   throws org.hibernate.HibernateException

  Specified by:
    `getText` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getBlob

    public Blob getBlob(int col)
                 throws org.hibernate.HibernateException

  Specified by:
    `getBlob` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getClob

    public Clob getClob(int col)
                 throws org.hibernate.HibernateException

  Specified by:
    `getClob` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getString

    public String getString(int col)
                     throws org.hibernate.HibernateException

  Specified by:
    `getString` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getBigDecimal

    public BigDecimal getBigDecimal(int col)
                             throws org.hibernate.HibernateException

  Specified by:
    `getBigDecimal` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getBigInteger

    public BigInteger getBigInteger(int col)
                             throws org.hibernate.HibernateException

  Specified by:
    `getBigInteger` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getDate

    public Date getDate(int col)
                 throws org.hibernate.HibernateException

  Specified by:
    `getDate` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getLocale

    public Locale getLocale(int col)
                     throws org.hibernate.HibernateException

  Specified by:
    `getLocale` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getCalendar

    public Calendar getCalendar(int col)
                         throws org.hibernate.HibernateException

  Specified by:
    `getCalendar` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getTimeZone

    public TimeZone getTimeZone(int col)
                         throws org.hibernate.HibernateException

  Specified by:
    `getTimeZone` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### getRowNumber

    public int getRowNumber()
                     throws org.hibernate.HibernateException

  Specified by:
    `getRowNumber` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

### setRowNumber

    public boolean setRowNumber(int rowNumber)
                         throws org.hibernate.HibernateException

  Specified by:
    `setRowNumber` in interface `org.hibernate.ScrollableResults`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD